#
# spec file for package libccnet1
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# See also http://en.opensuse.org/openSUSE:Shared_library_packaging_policy

Name:           libccnet0
Version:        6.1.8
Release:        1.1
Summary:        Framework for writing networked applications in C

License:        Apache-2.0
Group:          System/Libraries
Url:            https://github.com/haiwen/ccnet/
Source0:        https://github.com/haiwen/ccnet/archive/v%{version}.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  glib2-devel
BuildRequires:  libtool
BuildRequires:  libevent-devel
BuildRequires:  libsearpc1-devel
BuildRequires:  libuuid-devel
BuildRequires:  openssl-devel
BuildRequires:  pkg-config
BuildRequires:  python-devel
%if 0%{?fedora_version} || 0%{?rhel_version} || 0%{?centos_version}
BuildRequires:  sqlite-devel
%else
BuildRequires:  sqlite3-devel
%endif
BuildRequires:  vala
BuildRequires:  python-pysearpc

BuildRoot:     %{_tmppath}/%{name}-%{version}-build

%description
Ccnet is a framework for writing networked applications in C. It provides the following basic services:

    Peer identification
    Connection Management
    Service invocation
    Message sending

In ccnet network, there are two types of nodes, i.e., client and server. Server has the following functions:

    User management
    Group management
    Cluster management

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        -n python-ccnet
Summary:        Python files for %{name}
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}

%description    -n python-ccnet
The python-pysearpc package contains python files to make use of %{name}.

%prep
%setup -q -n ccnet-%{version}

%build
./autogen.sh
%configure --disable-static
pushd lib
python /usr/bin/searpc-codegen.py rpc_table.py
popd
make %{?_smp_mflags}
sed -i -e 's#^prefix.*#prefix=/usr#g' libccnet.pc

%install
make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc
%{_libdir}/*.so.*
%{_bindir}/cc*

%files devel
%defattr(-,root,root,-)
%doc
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libccnet.pc

%files -n python-ccnet
%defattr(-,root,root,-)
%doc
# For noarch packages: sitelib
%{python_sitearch}/ccnet

%changelog
* Tue May 22 2018 christoph@stop.pe
- Updated to version 6.1.8
* Wed Mar 28 2018 christoph@stop.pe
- Fixed build errors on CentOS 7
* Mon Jan  8 2018 christoph@stop.pe
- Updated to version 6.1.4
* Thu Dec  7 2017 christoph@stop.pe
- Fixed group names in spec file
* Thu Dec  7 2017 christoph@stop.pe
- Updated to version 6.1.3
* Sat Feb 25 2017 christoph@stop.pe
- Updated to version 6.0.4
* Sat Sep 24 2016 christoph@stop.pe
- Initial packaging
